/**********************************************************
RunUO AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Red Squirrel on Aug-08-2011 09:29:13pm
Filepath: scripts\Items\artifacts\Artifacts of Assimilation\greater\armsofPerfection.cs
Lines of code: 42

Description: 

***********************************************************/



using System;
using Server;

namespace Server.Items
{
	public class armsofperfection : LeatherArms
	{

	 	public override int InitMinHits{ get{ return 255; } }
	 	public override int InitMaxHits{ get{ return 255; } }
		
		public override int BasePhysicalResistance{ get{ return 12; } }
		public override int BaseFireResistance{ get{ return 14; } }
		public override int BaseColdResistance{ get{ return 13; } }
		public override int BasePoisonResistance{ get{ return 3; } }
		public override int BaseEnergyResistance{ get{ return 3; } }		

	 	[Constructable]
	 	public armsofperfection()
	 	{
	 	 	Name = "Arms of Perfection";
	 	 	Hue = 33;
			Attributes.LowerManaCost = 8;
			Attributes.RegenMana = 2;
			Attributes.BonusMana = 8;
			Attributes.ReflectPhysical = 15;
	 	}

	 	public armsofperfection(Serial serial) : base( serial )
	 	{
	 	}

	 	public override void Serialize( GenericWriter writer )
	 	{
	 	 	base.Serialize( writer );

	 	 	writer.Write( (int) 0 );
	 	}
	 	public override void Deserialize(GenericReader reader)
	 	{
	 	 	base.Deserialize( reader );

	 	 	int version = reader.ReadInt();
	 	}
		
		public override void OnAfterLoad()
		{		
			Misc.ObjectConverter.ConvertItem(this,new StitchedLichSkin());
		}	
	}
}
